// recur_list.h
// Recursive linked list (simple, data = char)
// CS210 - s'03 - 3/3/03 - Ray S. Babcock
//
#ifndef LIST_H_
#define LIST_H_

class Linked
{
	struct Node { struct Node * next; char ch;};
	private:
   	  Node * head;
   	  Node * last;
	  void printNodes(Node *);
	  void printReverseNodes(Node *);
	  int countNodes(Node *);
	public:
	  Linked( );
	  void addNode(char ch);
	  void PrintList();
	  void PrintReverse();
	  int countList();
};
#endif

